Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: kdump

Interfaces

### Description:

Kernel crash dumping mechanism.

### Interfaces:

kdump_admin( domain , role )

##### Summary

All of the rules required to administrate an kdump environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

kdump_domtrans( domain )

##### Summary

Execute kdump in the kdump domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

kdump_initrc_domtrans( domain )

##### Summary

Execute kdump in the kdump domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

kdump_manage_config( domain )

##### Summary

Create, read, write, and delete kdmup configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

kdump_read_config( domain )

##### Summary

Read kdump configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return